Loading...
Searching...
No Matches
sadump_part_header Struct Reference

Single-partition or diskset format header. More...

## Data Fields

uint32_t | signature [2]
| Must be { SADUMP_PART_SIGNATURE0, SADUMP_PART_SIGNATURE1 }.
uint32_t | enable
| Is SADUMP enabled? Apparently always 1.
uint32_t | reboot
| Seconds until reboot after saving dump.
uint32_t | compress
| Memory image format.
uint32_t | recycle
| Can this dump device be recycled for another dump?
uint32_t | label [16]
| Dump device label.
struct efi_guid | sadump_id
| System UUID.
struct efi_guid | disk_set_id
| Disk set UUID or single-partition UUID.
struct efi_guid | vol_id
| Dump device UUID.
struct efi_time | time_stamp
| Wall-clock time of the dump.
uint32_t | set_disk_set
| ID of this disk in a disk set, or 0 for a single partition.
uint32_t | _pad
| Padding to a multiple of 64 bits.
uint64_t | used_device
| Amount of data saved to this device (bytes).
uint32_t | magicnum []
| Magic number for verification.

## Detailed Description

Single-partition or diskset format header.

## Field Documentation

## compress

uint32_t sadump_part_header::compress

Memory image format.

Maybe not implemented?

## label

uint32_t sadump_part_header::label[16]

Dump device label.

Unused?

The documentation for this struct was generated from the following file:

- src/kdumpfile/sadump.c